<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package towerwarspp.player (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package towerwarspp.player (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package towerwarspp.player" class="title">Uses of Package<br>towerwarspp.player</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a> used by <a href="../../towerwarspp/main/package-summary.html">towerwarspp.main</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/Adv2Player.html#towerwarspp.main">Adv2Player</a>
<div class="block">Advanced AI enemy that uses a threading enabled implementation of the Monte Carlo tree search algorithm to decide
 on his move after the specified amount of time.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a> used by <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/BasePlayer.html#towerwarspp.player">BasePlayer</a>
<div class="block">Partial implementation of Player Interface that is used as Super-Class for specialized players (eg.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/PlayerState.html#towerwarspp.player">PlayerState</a>
<div class="block">Enum class representing the different states a <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> can be in.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/PlayStrategy.html#towerwarspp.player">PlayStrategy</a>
<div class="block">Class offering enums representing different play strategies and methods that implement those strategies.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a> used by <a href="../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/PlayStrategy.html#towerwarspp.player.mcts">PlayStrategy</a>
<div class="block">Class offering enums representing different play strategies and methods that implement those strategies.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a> used by <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/player/class-use/PlayStrategy.html#towerwarspp.preset">PlayStrategy</a>
<div class="block">Class offering enums representing different play strategies and methods that implement those strategies.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
